> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get articles by category slug (public)



## OpenAPI

````yaml /api-reference/ai-cms/openapi.json get /articles/getByCategorySlug/{slug}
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /articles/getByCategorySlug/{slug}:
    get:
      tags:
        - Articles
      summary: Get articles by category slug (public)
      parameters:
        - in: path
          name: slug
          required: true
          schema:
            type: string
            example: surgery
        - in: query
          name: page
          schema:
            type: integer
            example: 1
        - in: query
          name: limit
          schema:
            type: integer
            example: 20
        - in: query
          name: keyword
          description: Free-text term matched against titles, summaries and body
          schema:
            type: string
            example: droopy
        - in: query
          name: includeDeleted
          schema:
            type: boolean
            example: false
        - in: query
          name: includeUnpublished
          schema:
            type: boolean
            example: false
        - in: query
          name: includePrivate
          schema:
            type: boolean
            example: false
        - in: query
          name: subCategory
          schema:
            type: string
            example: '{{objectId}}'
        - in: query
          name: author
          schema:
            type: string
            example: '{{objectId}}'
        - in: query
          name: tags
          description: Single tag, or repeat the param for several. Not comma-separated
          schema:
            type: string
            example: ai
        - in: query
          name: sortBy
          schema:
            type: string
            enum:
              - createdAt
              - publishDate
            example: publishDate
        - in: query
          name: sortOrder
          schema:
            type: string
            enum:
              - asc
              - desc
            example: desc
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                success: true
                statusCode: 200
                message: OK
                data:
                  articles:
                    - id: '{{objectId}}'
                      category:
                        - '{{objectId}}'
                      slug: droopy-nose
                  pagination:
                    total: 1
                    page: 1
                    limit: 20
                    totalPages: 1
        '404':
          description: Not found
          content:
            application/json:
              example:
                success: false
                statusCode: 404
                message: Category not found with this slug
                data: null
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````